February 26, 2019 – Alert: Failure in Calls That Use X.509 Credentials with Private Keys after Upgrade

InterSystems has corrected a defect that impacts the use of X.509 private keys stored in Caché, Ensemble, and Health Connect, but only in 2018.1.1, on any platform.

This defect does not affect new installations of 2018.1.1, only upgrades to that version. It affects WS-Security, not SSL/TLS Configurations.

If your environment uses X.509 credentials with private keys and has been upgraded to 2018.1.1, some functions and queries that use the private keys will fail. To correct this problem, please contact the Worldwide Response Center (WRC) and request the utility developed to address the issue.

       

The correction for this defect is identified as CTW014 and is included in all future releases of Caché, Ensemble and Health Connect. 

If you have any questions regarding this alert, please contact the Worldwide Response Center.

  • + 3
  • 0
  • 67
  • 0